[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[bug #24109] gnustep-gui 0.14.0 does not build with LDFLAGS="-Wl, --as-n

From: Nicola Pero
Subject: [bug #24109] gnustep-gui 0.14.0 does not build with LDFLAGS="-Wl, --as-needed -Wl, --no-undefined"
Date: Mon, 25 Aug 2008 22:51:36 +0000
User-agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_4; en-us) AppleWebKit/525.18 (KHTML, like Gecko) Version/3.1.2 Safari/525.20.1

Update of bug #24109 (project gnustep):

                Category:              Gui/AppKit => Makefiles              
              Item Group:                    None => Change Request         
                  Status:                   Fixed => In Progress            
             Open/Closed:                  Closed => Open                   


Follow-up Comment #5:

I'm confused ... this looks like a request for a change in behaviour, not a
bug report ;-)

libgnustep-gui is not linked against libobjc.  That is done on purpose (eg
see #9920).
Only the final executable program is linked against all the libraries.  We
can discuss
if this is good or bad, but it's currently the expected behaviour; we need to
have a
longer discussion if we want to change it - it's not a bug fix, it's a
change. :-)

If we want to change it, I guess we want to change it for all ObjC libraries,
not just
gnustep-gui.  So the change would go in gnustep-make.  It doesn't really
much sense to change gnustep-gui only.

So ... what advantages would this change bring ?



Reply to this item at:


  Message sent via/by Savannah

reply via email to

[Prev in Thread] Current Thread [Next in Thread]